/*
 * @author lsy
 * @date   2019-10-13
 **/
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/Annotations/RouterCenterRestore.mark.dart';
import 'package:gmalpha_flutter/commonModel/net/Api.dart';
import 'package:gmalpha_flutter/res/anim/Anim.dart';
import 'commonModel/GMBase.dart';

class TestPage extends StatelessWidget {
  TestPage() {
    Api.getInstance().setDioCookie({
      'Cookie':
          'sessionid=oji01pi0mou9l5ktg425mibrimyq5vc3;_gtid=120408d4f3c911e99a80525400e82fab6178;_gm_token=06e9361571644418'
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: baseAppBar(title: "flutter测试", centerTitle: true),
        body: Container(
          child: ListView(
            children: <Widget>[
              testReportPage(context),
              presigePage(context),
              albumPage(context),
              userSettingPage(context),
              attentionPage(context),
              testMessagePage(context),
              likePage(context),
              focusPage(context),
            ],
          ),
        ));
  }

  base(BuildContext context, VoidCallback callback, String itemName) {
    return Container(
      margin: EdgeInsets.fromLTRB(16, 16, 16, 0),
      child: OutlineButton(
        onPressed: callback,
        child: Text(itemName),
      ),
    );
  }

  testMessagePage(BuildContext context) {
    return base(context, () {
      Navigator.push(
        context,
        new CustomRoute(RouterCenterImpl()
            .findNewMessageRouter()?.getMessagePage(''))
      );
    }, "消息页面");
  }

  testReportPage(BuildContext context) {
    return base(context, () {
      Navigator.push(
          context,
          new CustomRoute(RouterCenterImpl()
              .findActivityReportRouter()
              ?.getActivityReportPage(300, 1, '')));
    }, "报告页面");
  }

  presigePage(BuildContext context) {
    return base(context, () {
      Navigator.push(
          context,
          new CustomRoute(RouterCenterImpl()
              .findPrestigeRouter()
              ?.getReputationsPage(1, "ww", "ww")));
    }, "专家声望页面");
  }

  albumPage(BuildContext context) {
    return base(context, () {
      Navigator.push(
          context,
          new CustomRoute(RouterCenterImpl().findAlbumRouter()?.getAlbumPage(
              "com.example.gengmei_flutter_plugin_example", true, 1, null)));
    }, "相册页面");
  }

  userSettingPage(BuildContext context) {
    return base(context, () {
      Navigator.push(
          context,
          new CustomRoute(RouterCenterImpl()
              .findUserRouter()
              ?.getUserSettingPage("241765462", "NULL")));
    }, "设置页面");
  }

  attentionPage(BuildContext context) {
    return base(context, () {
      Navigator.push(
        context,
        new CustomRoute(RouterCenterImpl()
            .findNewMessageRouter()?.getAttentionPage('message_home'))
      );
    }, "通知页面");
  }

  likePage(BuildContext context) {
    return base(context, () {
      Navigator.push(
        context,
        new CustomRoute(RouterCenterImpl()
            .findNewMessageRouter()?.getLikePage('message_home'))
      );
    }, "like页面");
  }

  focusPage(BuildContext context) {
    return base(context, () {
      Navigator.push(
        context,
        new CustomRoute(RouterCenterImpl()
            .findNewMessageRouter()?.getFocusPage('message_home'))
      );
    }, "关注页面");
  }
}
